Bug 1730548 - [RFE] gluster v geo-rep status should display details volume wise
Summary: [RFE] gluster v geo-rep status should display details volume wise
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: geo-replication
Version: rhgs-3.5
Hardware: x86_64
OS: Linux
low
low
Target Milestone: ---
: ---
Assignee: Sunny Kumar
QA Contact: Kshithij Iyer
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-17 06:06 UTC by Kshithij Iyer
Modified: 2019-12-31 14:17 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-12-31 14:17:23 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Kshithij Iyer 2019-07-17 06:06:57 UTC
Description of problem:
The present output of geo-rep status dumps all the active and passive bricks of all the volumes in a single table which makes it hard for the user to analyze geo-rep related issues. It would be better if this output was a volume wise output.  

# gluster v geo-rep status
 
MASTER NODE                         MASTER VOL    MASTER BRICK               SLAVE USER    SLAVE                           SLAVE NODE                           STATUS     CRAWL STATUS       LAST_SYNCED                  
----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
dhcp35-23.lab.eng.blr.redhat.com    disp          /bricks/brick3/disp        root          ssh://10.70.35.100::disp        dhcp35-141.lab.eng.blr.redhat.com    Active     Changelog Crawl    2019-07-17 11:05:01          
dhcp35-23.lab.eng.blr.redhat.com    distdisp      /bricks/brick4/distdisp    root          ssh://10.70.35.100::distdisp    dhcp35-141.lab.eng.blr.redhat.com    Active     Changelog Crawl    2019-07-17 11:05:03          
dhcp35-23.lab.eng.blr.redhat.com    distdisp      /bricks/brick5/distdisp    root          ssh://10.70.35.100::distdisp    dhcp35-141.lab.eng.blr.redhat.com    Active     Changelog Crawl    2019-07-17 11:05:03          
dhcp35-23.lab.eng.blr.redhat.com    distrep       /bricks/brick2/distrep     root          ssh://10.70.35.100::distrep     dhcp35-141.lab.eng.blr.redhat.com    Active     Changelog Crawl    2019-07-17 11:05:18          
dhcp35-23.lab.eng.blr.redhat.com    rep           /bricks/brick1/rep         root          ssh://10.70.35.100::rep         dhcp35-100.lab.eng.blr.redhat.com    Active     Changelog Crawl    2019-07-17 11:05:07          
dhcp35-51.lab.eng.blr.redhat.com    arb           /bricks/brick1/arb         root          ssh://10.70.35.100::arb         dhcp35-178.lab.eng.blr.redhat.com    Passive    N/A                N/A                          
dhcp35-51.lab.eng.blr.redhat.com    disp          /bricks/brick3/disp        root          ssh://10.70.35.100::disp        dhcp35-180.lab.eng.blr.redhat.com    Passive    N/A                N/A                          
dhcp35-51.lab.eng.blr.redhat.com    distdisp      /bricks/brick4/distdisp    root          ssh://10.70.35.100::distdisp    dhcp35-180.lab.eng.blr.redhat.com    Passive    N/A                N/A                          
dhcp35-51.lab.eng.blr.redhat.com    distdisp      /bricks/brick5/distdisp    root          ssh://10.70.35.100::distdisp    dhcp35-180.lab.eng.blr.redhat.com    Passive    N/A                N/A                          
dhcp35-51.lab.eng.blr.redhat.com    distrep       /bricks/brick2/distrep     root          ssh://10.70.35.100::distrep     dhcp35-180.lab.eng.blr.redhat.com    Passive    N/A                N/A                          
dhcp35-88.lab.eng.blr.redhat.com    arb           /bricks/brick1/arb         root          ssh://10.70.35.100::arb         dhcp35-180.lab.eng.blr.redhat.com    Active     Changelog Crawl    2019-07-17 11:04:57          
dhcp35-88.lab.eng.blr.redhat.com    disp          /bricks/brick3/disp        root          ssh://10.70.35.100::disp        dhcp35-186.lab.eng.blr.redhat.com    Passive    N/A                N/A                          
dhcp35-88.lab.eng.blr.redhat.com    distdisp      /bricks/brick4/distdisp    root          ssh://10.70.35.100::distdisp    dhcp35-186.lab.eng.blr.redhat.com    Passive    N/A                N/A                          
dhcp35-88.lab.eng.blr.redhat.com    distdisp      /bricks/brick5/distdisp    root          ssh://10.70.35.100::distdisp    dhcp35-186.lab.eng.blr.redhat.com    Passive    N/A                N/A                          
dhcp35-88.lab.eng.blr.redhat.com    distrep       /bricks/brick2/distrep     root          ssh://10.70.35.100::distrep     dhcp35-186.lab.eng.blr.redhat.com    Passive    N/A                N/A                          
dhcp35-27.lab.eng.blr.redhat.com    disp          /bricks/brick3/disp        root          ssh://10.70.35.100::disp        dhcp35-178.lab.eng.blr.redhat.com    Passive    N/A                N/A                          
dhcp35-27.lab.eng.blr.redhat.com    distdisp      /bricks/brick4/distdisp    root          ssh://10.70.35.100::distdisp    dhcp35-178.lab.eng.blr.redhat.com    Passive    N/A                N/A                          
dhcp35-27.lab.eng.blr.redhat.com    distdisp      /bricks/brick5/distdisp    root          ssh://10.70.35.100::distdisp    dhcp35-178.lab.eng.blr.redhat.com    Passive    N/A                N/A                          
dhcp35-27.lab.eng.blr.redhat.com    distrep       /bricks/brick2/distrep     root          ssh://10.70.35.100::distrep     dhcp35-178.lab.eng.blr.redhat.com    Passive    N/A                N/A                          
dhcp35-27.lab.eng.blr.redhat.com    rep           /bricks/brick1/rep         root          ssh://10.70.35.100::rep         dhcp35-121.lab.eng.blr.redhat.com    Passive    N/A                N/A                          
dhcp35-24.lab.eng.blr.redhat.com    disp          /bricks/brick3/disp        root          ssh://10.70.35.100::disp        dhcp35-100.lab.eng.blr.redhat.com    Passive    N/A                N/A                          
dhcp35-24.lab.eng.blr.redhat.com    distdisp      /bricks/brick4/distdisp    root          ssh://10.70.35.100::distdisp    dhcp35-100.lab.eng.blr.redhat.com    Passive    N/A                N/A                          
dhcp35-24.lab.eng.blr.redhat.com    distdisp      /bricks/brick5/distdisp    root          ssh://10.70.35.100::distdisp    dhcp35-100.lab.eng.blr.redhat.com    Passive    N/A                N/A                          
dhcp35-24.lab.eng.blr.redhat.com    distrep       /bricks/brick2/distrep     root          ssh://10.70.35.100::distrep     dhcp35-100.lab.eng.blr.redhat.com    Passive    N/A                N/A                          
dhcp35-24.lab.eng.blr.redhat.com    rep           /bricks/brick1/rep         root          ssh://10.70.35.100::rep         dhcp35-141.lab.eng.blr.redhat.com    Passive    N/A                N/A                          
dhcp35-98.lab.eng.blr.redhat.com    arb           /bricks/brick1/arb         root          ssh://10.70.35.100::arb         dhcp35-186.lab.eng.blr.redhat.com    Passive    N/A                N/A                          
dhcp35-98.lab.eng.blr.redhat.com    disp          /bricks/brick3/disp        root          ssh://10.70.35.100::disp        dhcp35-121.lab.eng.blr.redhat.com    Passive    N/A                N/A                          
dhcp35-98.lab.eng.blr.redhat.com    distdisp      /bricks/brick4/distdisp    root          ssh://10.70.35.100::distdisp    dhcp35-121.lab.eng.blr.redhat.com    Passive    N/A                N/A                          
dhcp35-98.lab.eng.blr.redhat.com    distdisp      /bricks/brick5/distdisp    root          ssh://10.70.35.100::distdisp    dhcp35-121.lab.eng.blr.redhat.com    Passive    N/A                N/A                          
dhcp35-98.lab.eng.blr.redhat.com    distrep       /bricks/brick2/distrep     root          ssh://10.70.35.100::distrep     dhcp35-121.lab.eng.blr.redhat.com    Active     Changelog Crawl    2019-07-17 11:05:08  

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.Create a few geo-rep sessions between master and slave.
2.Start all geo-rep sessions.
3.Issue gluster v geo-rep status 

Actual results:
As shown above 

Expected results:
# gluster v geo-rep status

geo-rep status of volume: arb
MASTER NODE                         MASTER VOL    MASTER BRICK               SLAVE USER    SLAVE                           SLAVE NODE                           STATUS     CRAWL STATUS       LAST_SYNCED                  
----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
dhcp35-51.lab.eng.blr.redhat.com    arb           /bricks/brick1/arb         root          ssh://10.70.35.100::arb         dhcp35-178.lab.eng.blr.redhat.com    Passive    N/A                N/A                          
dhcp35-88.lab.eng.blr.redhat.com    arb           /bricks/brick1/arb         root          ssh://10.70.35.100::arb         dhcp35-180.lab.eng.blr.redhat.com    Active     Changelog Crawl    2019-07-17 11:04:57          
dhcp35-98.lab.eng.blr.redhat.com    arb           /bricks/brick1/arb         root          ssh://10.70.35.100::arb         dhcp35-186.lab.eng.blr.redhat.com    Passive    N/A                N/A                          

geo-rep status of volume: rep
MASTER NODE                         MASTER VOL    MASTER BRICK               SLAVE USER    SLAVE                           SLAVE NODE                           STATUS     CRAWL STATUS       LAST_SYNCED                  
----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
dhcp35-23.lab.eng.blr.redhat.com    rep           /bricks/brick1/rep         root          ssh://10.70.35.100::rep         dhcp35-100.lab.eng.blr.redhat.com    Active     Changelog Crawl    2019-07-17 11:05:07          
dhcp35-27.lab.eng.blr.redhat.com    rep           /bricks/brick1/rep         root          ssh://10.70.35.100::rep         dhcp35-121.lab.eng.blr.redhat.com    Passive    N/A                N/A                          
dhcp35-24.lab.eng.blr.redhat.com    rep           /bricks/brick1/rep         root          ssh://10.70.35.100::rep         dhcp35-141.lab.eng.blr.redhat.com    Passive    N/A                N/A                          


Additional info:

Comment 2 Sunny Kumar 2019-12-10 18:13:06 UTC
If anyone wants see geo-rep status volume wise can use below command:

gluster volume geo-replication <master_volume> [<slave_user>@]<slave_host>::<slave_volume> status [detail]

The purpose of "gluster volume geo-rep status" shows information about all sessions.

Comment 3 Yaniv Kaul 2019-12-31 14:17:23 UTC
Based on comment 2 and the fact that a simple 'sort' can be used, closing.


Note You need to log in before you can comment on or make changes to this bug.